#!/bin/csh

# delete v4.5 r2.0
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v45dir=$dnetdir/v45r20

set module=(dnet.cgi xcabinet.cgi xdoc.cgi xdocreminder xenquete.cgi xforum.cgi xinfo.cgi xmail.cgi xmailintg xmailrefer.cgi xmailsearch xmemp.cgi xproject.cgi xreport.cgi xwmlrecv)

set page=(xdocsetautoloaderr.html xdocsetautoloadfolderentry.html xdocsetautoloadfolderlist.html xdocsetautoloadmailentry.html xdocsetautoloadmaillist.html xdocsetautoloadstatus.html xenqreferreply.html xmailsetaccimp.html xsetportalwindowentry.html)

set local=(doc message sch version)

# module delete
foreach m($module)
	rm -f $dnetdir/$m
end
foreach p($page)
	rm -f $dnetdir/page/$p
end
foreach l($local)
	rm -f $dnetdir/local.jp/$l
end

# image delete
rm -f $imgdir/neoimage/doc/s_new_mfpmail.gif

## -- recover v4.5 r1.1

tar zxvf $dnetdir/v45r11.tar.gz

# module move
set v45tar=home/groups/home/web/dnet/v45r11
cp -fr $v45tar/neoimage $imgdir/.
rm -rf $v45tar/neoimage

cp -rf $v45tar/* $dnetdir/.

# delete v45
rm -rf $v45tar
rm -rf $dnetdir/v45r11.tar.gz

chown -R www:www $dnetdir

echo "post-uninstall $$ $0" >> /tmp/install.log
exit 0
